Energia

## bitSet()

#### Description

Sets (writes a 1 to) a bit of a numeric variable.

#### Syntax

bitSet(x, n)

#### Parameters

x: the numeric variable whose bit to set

n: which bit to set, starting at 0 for the least-significant (rightmost) bit

#### Returns

none

#### See also

- bit()
- bitRead()
- bitWrite()
- bitClear()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Energia reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Energia reference is based on Arduino reference. Code samples in the reference are released into the public domain.

©Energia | Edit Page | Page History | Printable View | All Recent Site Changes